<template>
  <div class="product-insights-specifications-content">
    <div class="product-insights-row has-cols in-third">
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Width') }}</div>
        <div class="product-insights-value">
          <span v-if="product.width">{{ product.width }}{{ $t('mm') }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Height') }}</div>
        <div class="product-insights-value">
          <span v-if="product.height">{{ product.height }}{{ $t('mm') }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Length') }}</div>
        <div class="product-insights-value">
          <span v-if="product.length">{{ product.length }}{{ $t('mm') }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
    </div>
    <div class="product-insights-row has-cols in-third">
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Weight') }}</div>
        <div class="product-insights-value">
          <span v-if="product.weight">{{ product.weight }}{{ $t('kg') }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Selling Unit') }}</div>
        <div class="product-insights-value">
          <span v-if="product.purchaseUnit">{{ product.purchaseUnit }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Scale Unit') }}</div>
        <div class="product-insights-value">
          <span v-if="product.unit">{{ product.unit.name }} ({{product.unit.shortCode}})</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
    </div>
    <div class="product-insights-row has-cols in-third">
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Packing unit') }}</div>
        <div class="product-insights-value">
          <span v-if="product.translated.packUnit">{{ product.translated.packUnit }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Purchase steps') }}</div>
        <div class="product-insights-value">
          <span v-if="product.translated.packUnitPlural">{{ product.translated.packUnitPlural }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
      <div class="product-insights-col">
        <div class="product-insights-label">{{ $t('Basic Unit') }}</div>
        <div class="product-insights-value">
          <span v-if="product.referenceUnit">{{ product.referenceUnit }}</span>
          <span v-else>{{ $t('n/a') }}</span>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">

export default {
  name: "InsightsSpecifications",
  components: {},
  props: {
    product: {
      type: [Object,Array,String],
      default: null,
    },
  },
}
</script>

<style lang="scss" scoped>
@import "@/assets/scss/variables";
</style>
